FireFox 52 и Java

Если вы работаете с FireFox и ваш банковский или какой-то другой софт использует Java, то после обновления на недавно вышедшую версию 52 вы с удивлением обнаружите, что Java там больше вообще не поддерживается - ну, типа, из-за проблем с безопасностью и со скоростью.

Что делать, спросите вы? Выход есть - скачать и установить специальную версию FireFox ESR, которую можно взять вот здесь. Там Java пока поддерживается. Ненадолго. Но поддерживается.

15.03.2017 10:34
Комментарии 34

Пардон за некропостинг, просто хочу сказать спасибо - пригодилось
29.05.18 07:51
0 0

Вы даже не представляете сколько компаний (по всему миру) гоняют свой бакэнд на Oracle EBS 11i. Да и нрвые 12е версии все еще испльзуют аплеты, поскольку это базовая технология для Oracle Forms. Так что или IE11 в Enterprise Mode или альтернативы.

Я лично использую Waterfox - это 64-битная сборка кода Firefox но с полной поддержкой NPAPI, и выпиливать они ее вроде как не собираются.


15.03.17 20:31
0 0

mmikhail: Я лично использую Waterfox

Где можно посмотреть?
vis
15.03.17 21:44
0 0

Да, действительно Java отключили. В Firefox 52 ESR работает. Спасибо за информацию.
15.03.17 20:05
0 0

У меня Авангард работает сейчас только в FF. И Chrome и IE перестали рабоать больше года назад
vis
15.03.17 18:34
0 0

15.03.17 14:33
0 0

[QUOTE]faiveq: ]ftp.mozilla.org
Предлагаешь ставить старые?
vis
15.03.17 18:37
0 0

Не нужно ничего устанавливать. В FF версии 52 отключена поддержка всех NPAPI-плагинов, кроме флэша, но её ещё не выпилили, так что её можно включить. Для этого идём по адресу about:config, находим параметр plugin.load_flash_only и присваиваем ему значение false. Если такого параметра нет, нажать на любом параметре правую кнопку мыши, выбрать в появившемся меню "Создать" - "Логическое", задать имя настройки plugin.load_flash_only и нажать ОК, а затем присвоить значение. После правки настроек перезапустить FF.

Правда, это поможет только до выхода версии 53, в которой планируют полный выпил NPAPI, кроме флэша (вот уж что надо бы выпиливать в первую очередь).
15.03.17 13:50
0 0

На самом деле дело не только в Java, они отрубили поддержку всех NPAPI-плагинов. Так что даже у тех, чьи банки были достаточно продвинутыми, чтобы внедрить поддержку ЭЦП без Java, эта поддержка отвалилась.

Решается либо установкой версии ESR, либо сваливанием с этого скопища legacy-проблем в сторону Хрома.


15.03.17 13:44
0 0

Gray: На самом деле дело не только в Java, они отрубили поддержку всех NPAPI-плагинов. Так что даже у тех, чьи банки были достаточно продвинутыми, чтобы внедрить поддержку ЭЦП без Java, эта поддержка отвалилась.

Самый большой банк Украины - Приватбанк - как-то справляется без этого джавамаразма. Работает в любом браузере и не требует плясок с бубном при установке. Открыл сайт - и уже работает.

Есть у меня и Авалевский банкинг на джавах - это лютый п...ц, извините за выражение. Еще и деньги на выходных перевести нельзя.
15.03.17 13:52
0 0

wortkarg: А вот то, что кто-то еще использует апплеты, меня очень удивляет. Их и в начале мало кто использовал, а сейчас так вообще днём с огнём не найдешь подобные сайты.

В финансовой сфере очень много. Это не те, конечно, апплеты, что анимированные снежинке на заре интернета показывали. Это совершенно незаметные трудяги, обеспечивающие, в основном, криптографию и поддержку защищённых криптованых сессий.

Gray: Решается либо установкой версии ESR, либо сваливанием с этого скопища legacy-проблем в сторону Хрома.

В хроме выеилили ещё раньше. ИЕ остался и сафари. А в линуксах ничего.
15.03.17 14:27
0 0

Gray: Решается либо установкой версии ESR, либо сваливанием с этого скопища legacy-проблем в сторону Хрома

А в Хроме ведь NPAPI ещё раньше отрубили... Разве не так?
vis
15.03.17 18:24
0 0

А у нас еще и Silverlight, блин. Пользователей приходится на ишака пересаживать. Ну нахрена они все это делают? Сначал хром, теперь лис
15.03.17 13:06
0 0

Банковский софт на джаве - это еще полбеды. Они никуда не денутся и в итоге (надеюсь) переделают.

А вот для разных сетевиков сисадминов проблема то, что некоторое старое сетевое железо в web-интерфейсе имеет все ту же джаву.

Мне тут на досуге для управления дисковым массивом пришлось запускать виртуалку на XP с шестой (!!!) джавой.
15.03.17 12:51
0 0

Ну, java-плагины уже давно, мне кажется, никто не использует. А скачиваемые java-приложения (через java webstart) вроде как никто не отменял и не собирается.

Я не в теме. Мне недавно рассказывали, что Джава сейчас везде используется и в ближайшем будущем будет всё еще использоваться. Всё не так?
mmx
15.03.17 12:12
0 0

mmx: Я не в теме. Мне недавно рассказывали, что Джава сейчас везде используется и в ближайшем будущем будет всё еще использоваться. Всё не так?

Тут речь идёт о ява апплетах. Как их миркосовт обзывал - приложеньицах, запускаемых в браузере. Ну, как помните, ещё флэш был. А так ява живее всех живых и на серверной части используется очень много гди и сдавать позиции особо не собирается.
15.03.17 12:57
0 0

FF отказывается от дальнейшей поддержки XP.
15.03.17 12:06
0 0

А если не FF то останется только IE ? Или есть еще браузеры?
15.03.17 11:41
0 0

Интересно, где еще остался банковский фронт-энд, использующий Жабу?
15.03.17 10:54
0 0

freebsd_:
Интересно, где еще остался банковский фронт-энд, использующий Жабу?


Например, Авангард
15.03.17 10:55
0 0

freebsd_:
Интересно, где еще остался банковский фронт-энд, использующий Жабу?


У ВТБ24 софт для юриков - на джаве.
15.03.17 11:38
0 0

freebsd_: Интересно, где еще остался банковский фронт-энд, использующий Жабу?

Полным полно. У нас на работе - ЮникредитБанк. И системы бронирования авиакомпаний. Это так, навскидку...
15.03.17 16:12
0 0

В java 9 апплеты вообще будут объявлены deprecated, так что такой софт в перспективе все равно обречен.
15.03.17 10:40
0 0

Астарот: В java 9

В интерпрайзе ещё много где используется Java 6
15.03.17 10:44
0 0
Теги
Сортировать по алфавиту или записям
BLM 6
calella 94
авто 328
видео 2496
вино 266
еда 308